> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check for consumption service

> Check if the Emnify consumption service is available



## OpenAPI

````yaml /generated/specs/diagnostics.json get /api/v1/consumption/health
openapi: 3.0.0
info:
  title: Raul API - Diagnostico
  description: Health, consumo, conectividad, SIMs, webhooks fallidos y estados tecnicos.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/consumption/health:
    get:
      tags:
        - Consumption
      summary: Health check for consumption service
      description: Check if the Emnify consumption service is available
      operationId: ConsumptionController_healthCheck
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthCheckResponseDto'
components:
  schemas:
    HealthCheckResponseDto:
      type: object
      properties:
        status:
          type: string
        service:
          type: string
        token_configured:
          type: boolean
        message:
          type: string
      required:
        - status
        - service
        - token_configured
        - message

````